Subject: bug#51558: Long mode-line-compact breaks tab-line tabs

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Nov 2021 10:45:15 +0200

>> The click event returns a string that contains all tabs,
>> whereas with the default value of mode-line-compact
>> the event correctly contains only one tab's string.
>> 
>> I don't know why mode-line-compact affects the tab-line,
>> but maybe it should have a condition to not apply to the tab-line?
>
> I think it's indeed a bug that mode-line-compact affects anything but
> the mode line.  Does the patch below give good results?

I confirm the fix, there are no more problems with it.